### Method

# Gio DBusMethodInvocation return_error_valist

since: 2.26

#### Declaration

    void
    g_dbus_method_invocation_return_error_valist (
      GDBusMethodInvocation* invocation,
      GQuark domain,
      gint code,
      const gchar* format,
      va_list var_args
    )

#### Description

Like `g_dbus_method_invocation_return_error()` but intended for language bindings.

This method will take ownership of `invocation`. See `GDBusInterfaceVTable` for more information about the ownership of `invocation`.

Available since: 2.26

This method is not directly available to language bindings.

#### Parameters

`domain`

  Type: `GQuark`

  A `GQuark` for the `GError` error domain.

`code`

  Type: `gint`

  The error code.

`format`

  Type: `const gchar*`

  Printf()-style format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`var_args`

  Type: `va_list`

  # va_list of parameters for `format`.